#ifndef GETSENSORS_P_H
#define GETSENSORS_P_H
#include <QString>
#include <QJsonDocument>
#include <QJsonObject>
#include <QByteArray>

class GetSensorsP {
public:
    GetSensorsP() = default;

    void setGroup(const QString& group) {
        this->group = group;
    }

    QByteArray createRequestJson() const {
        QJsonObject obj;
        obj["group"] = group;

        QJsonDocument doc(obj);
        return doc.toJson();
    }

private:
    QString group;
};
#endif // GETSENSORS_P_H
