#ifndef INCEDENTWIDGET_H
#define INCEDENTWIDGET_H

#include <QWidget>
#include <QLabel>
#include <QPushButton>
#include <QVBoxLayout>
#include <QHBoxLayout>
#include <QFrame>

class IncedentWidget : public QWidget
{
    Q_OBJECT

public:
    explicit IncedentWidget(const QString& time, const QString& log, const QString& sender,
                            const QString& section, const QString& status, QWidget *parent = nullptr);

private:
    QLabel *createLabel(const QString &text, int minSize = 100, int maxSize = 250);

private:
    QLabel *timeLabel;
    QLabel *logLabel;
    QLabel *senderLabel;
    QLabel *sectionLabel;
    QLabel *statusLabel;
};


#endif // INCEDENTWIDGET_H
